# -*- coding: utf-8 -*-
#------------------------------------------------------------
# DaButcher YouTube Channel
#------------------------------------------------------------
# License: GPL (http://www.gnu.org/licenses/gpl-3.0.html)
# Based on code from youtube addon
# Based on the code from X factor International addon
#------------------------------------------------------------

import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.Waga.Tube'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID1 = "UCoxciX-04biA_KwxKhus1aw/playlists"



# Entry point
def run():
    plugintools.log("plugin.video.Waga.Tube.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("plugin.video.Waga.Tube.main_list "+repr(params))
        
    plugintools.add_item( 
        #action="", 
        title="WagaTube",
        url="plugin://plugin.video.youtube/channel/"+YOUTUBE_CHANNEL_ID1+"/",
        thumbnail=icon,
        folder=True )
        



run()